Bug 55252 - [Qt] Notify HTMLMediaElement when MediaPlayerPrivateQt's playback state gets changed
Summary: [Qt] Notify HTMLMediaElement when MediaPlayerPrivateQt's playback state gets ...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Media Elements (show other bugs)
Version: 528+ (Nightly build)
Hardware: PC OS X 10.5
: P2 Normal
Assignee: Yi Shen
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-02-25 13:06 PST by Yi Shen
Modified: 2011-02-28 14:04 PST (History)
4 users (show)

See Also:


Attachments
first try (2.86 KB, patch)
2011-02-25 13:18 PST, Yi Shen
akling: review-
Details | Formatted Diff | Diff
updated with Kling's suggestion (2.89 KB, patch)
2011-02-26 12:49 PST, Yi Shen
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yi Shen 2011-02-25 13:06:03 PST
Need to involk the call back function to notify the HTMLMediaElement when MediaPlayerPrivateQt's playback state gets changed.
Comment 1 Yi Shen 2011-02-25 13:18:18 PST
Created attachment 83865 [details]
first try
Comment 2 Andreas Kling 2011-02-26 05:39:30 PST
Comment on attachment 83865 [details]
first try

View in context: https://bugs.webkit.org/attachment.cgi?id=83865&action=review

> Source/WebCore/ChangeLog:8
> +        Need to involk a call back function to notify the HTMLMediaElement

s/involk/invoke/
s/call back/callback/

> Source/WebCore/platform/graphics/qt/MediaPlayerPrivateQt.cpp:243
> +    // Don't send PlaybackChanged notification for pre-roll

Sentence style for comments (period at end missing.) :)

> Source/WebCore/platform/graphics/qt/MediaPlayerPrivateQt.h:160
> +    bool m_ignorePlaybackChanged;

Not a fan of this name, m_suppressNextPlaybackChanged perhaps?
The fact that it only affects the next state change and then goes back to normal should be reflected somehow.
Comment 3 Yi Shen 2011-02-26 12:49:45 PST
Created attachment 83949 [details]
updated with Kling's suggestion

Thanks Kling :)
Comment 4 Andreas Kling 2011-02-26 12:51:01 PST
Comment on attachment 83949 [details]
updated with Kling's suggestion

r=me
Comment 5 WebKit Commit Bot 2011-02-26 14:38:59 PST
Comment on attachment 83949 [details]
updated with Kling's suggestion

Clearing flags on attachment: 83949

Committed r79809: <http://trac.webkit.org/changeset/79809>
Comment 6 WebKit Commit Bot 2011-02-26 14:39:04 PST
All reviewed patches have been landed.  Closing bug.
Comment 7 Ademar Reis 2011-02-28 14:04:35 PST
Revision r79809 cherry-picked into qtwebkit-2.1.x with commit ac25b02 <http://gitorious.org/webkit/qtwebkit/commit/ac25b02>